SUBROUTINE SUCMA(KMDI)

!**** SUBROUTINE SUCMA - SETUP CMA FORMAT

!        D.VASILJEVIC     ECMWF     1/7/94

!     PURPOSE
!     -------

!        CMA FORMAT SETUP

!**   INTERFACE
!     ---------

!        CALL SUCMA(KMDI)
!     WHERE:
!           KMDI     = MISSING IND.

!        SUCMA IS CALLED BY

!**   METHOD
!     ------

!        CMA RELEVANT PARAMETERS/FORMATS/ARRAYS ARE DEFINED.

!**   EXTERNALS
!     ---------

!        SUCMAF   - NEW CMA FORMAT

!**   MODIFICATIONS
!     -------------

!-----------------------------------------------------------------------

!*

!        1.             CMA DEFINITION
!                       --------------

!*          1.1         NEW CMA FORMAT

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KMDI 
REAL(KIND=JPRB) :: ZHOOK_HANDLE

#include "sucmaf.intfb.h"

IF (LHOOK) CALL DR_HOOK('SUCMA',0,ZHOOK_HANDLE)
CALL SUCMAF(KMDI)
!*
!-----------------------------------------------------------------------

!        2.             RETURN
!                       ------

IF (LHOOK) CALL DR_HOOK('SUCMA',1,ZHOOK_HANDLE)
END SUBROUTINE SUCMA

